{
  "models": [
    {
      "name": "TeamScore",
      "synchronizable": true,
      "sideStorable": true,
      "observable": true,
      "relationshipNames": ["match"],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "match",
          "type": "String",
          "foreignKey": "Match*"
        },
        {
          "name": "teamRegistration",
          "type": "String",
          "optional": true,
          "foreignKey": "TeamRegistration*"
        },
        {
          "name": "score",
          "type": "String",
          "optional": true
        },
        {
          "name": "walkOut",
          "type": "Int",
          "optional": true
        },
        {
          "name": "luckyLoser",
          "type": "Int",
          "optional": true
        }
      ]
    }
  ]
}
